## org.eclipse.emf.cdo.util
Class DanglingReferenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.cdo.common.util.CDOException
                      org.eclipse.emf.cdo.util.DanglingReferenceException

All Implemented Interfaces:
  java.io.Serializable

    public class DanglingReferenceException

extends CDOException

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`DanglingReferenceException(org.eclipse.emf.ecore.EObject object)`

Method Summary
`org.eclipse.emf.ecore.EObject` `getTarget()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DanglingReferenceException

    public DanglingReferenceException(org.eclipse.emf.ecore.EObject object)

Method Detail

### getTarget

    public org.eclipse.emf.ecore.EObject getTarget()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.